#ifndef MSHOWSPECT_H
#define MSHOWSPECT_H

#ifndef MAGIC_H
#include "MAGIC.h"
#endif

#ifndef MTASK_H
#include "MTask.h"
#endif

class MGDisplayAdc;
class MHistosAdc;
class MParList ;

class MShowSpect : public MTask 
{
private:
  char       fHistName[256] ; 

  MHistosAdc *fHists;		// Pointer to Container with the histograms
  
 public:
  
  MShowSpect(char* histName );
  
  Bool_t PreProcess(MParList * pList); 
  Bool_t PostProcess();
  
  ClassDef(MShowSpect, 1)	// Fill the raw ADC in the histograms
};

#endif



